Package com.emc.d2fs.models.server_info

# Class ServerInfo

java.lang.Object
com.emc.d2fs.models.server_info.ServerInfo

All Implemented Interfaces:
  `Serializable`

public class ServerInfo extends Object implements Serializable

Java class for server_info complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="server_info">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="contextRoot" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="protocol" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContextRoot()`
  Gets the value of the contextRoot property.
  `String`
  `getHost()`
  Gets the value of the host property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getPort()`
  Gets the value of the port property.
  `String`
  `getProtocol()`
  Gets the value of the protocol property.
  `void`
  `setContextRoot(String value)`
  Sets the value of the contextRoot property.
  `void`
  `setHost(String value)`
  Sets the value of the host property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setPort(String value)`
  Sets the value of the port property.
  `void`
  `setProtocol(String value)`
  Sets the value of the protocol property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServerInfo

    public ServerInfo()

- ## Method Details

  - ### getContextRoot

    public String getContextRoot()
    Gets the value of the contextRoot property.
    Returns:
      possible object is `String`

  - ### setContextRoot

    public void setContextRoot(String value)
    Sets the value of the contextRoot property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHost

    public String getHost()
    Gets the value of the host property.
    Returns:
      possible object is `String`

  - ### setHost

    public void setHost(String value)
    Sets the value of the host property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPort

    public String getPort()
    Gets the value of the port property.
    Returns:
      possible object is `String`

  - ### setPort

    public void setPort(String value)
    Sets the value of the port property.
    Parameters:
      `value` - allowed object is `String`

  - ### getProtocol

    public String getProtocol()
    Gets the value of the protocol property.
    Returns:
      possible object is `String`

  - ### setProtocol

    public void setProtocol(String value)
    Sets the value of the protocol property.
    Parameters:
      `value` - allowed object is `String`